import React, { useContext } from "react";
import { Navigate } from "react-router-dom";
import { UserContext } from "../../util/UserContext";

/*
Just a page to test making api
calls.
*/
function PracticeHome() {
  // Access the global user state from the UserContext
  const { user } = useContext(UserContext);

  return (
    <div>
      <h1>Home Page practice</h1>

      <p>After logging in, this will be the home page.</p>

      {user.isAuthenticated ? (
        <p>
          {" "}
          Permission level: <strong>{user.permission}</strong>
        </p>
      ) : (
        <p> Not logged in.</p>
      )}
    </div>
  );
}

export default PracticeHome;
